Query the global prepaid credits ledger
1 min
POST
https://app.amberflo.io/payments/billing/global-prepaid-credits-ledger
Body Parameters
- bodypayment.billing.prepaid_to_product.GlobalPrepaidCreditsLedgerQuery.in
- timeRangepayment.common.TimeRange.in
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- filtermap<string, string[]>
Responses
200
- payment.billing.prepaid_to_product.detailed.DetailedGlobalPrepaidCreditsLedger.out
- accountIdstring
- entriespayment.billing.prepaid_to_product.detailed.DetailedGlobalPrepaidCreditsLedgerEntry.out[]
- customerIdstring
- prepaidUristring
- prepaidCardTypepayment.billing.prepaid_to_product.PrepaidCardType.out
- prepaidPurchaseTypepayment.billing.prepaid_to_product.PrepaidPurchaseType.out
- prepaidLabelstring
- invoiceUristring
- transactionTimeSecondsinteger<int64>
- transactionAmountnumber
- balanceAfterTransactionnumber
- prepaidTransactionTypepayment.billing.prepaid_to_product.PrepaidTransactionType.out
- settledboolean
curl
curl --request POST \
--url https://app.amberflo.io/payments/billing/global-prepaid-credits-ledger \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/billing/global-prepaid-credits-ledger", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/billing/global-prepaid-credits-ledger")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/billing/global-prepaid-credits-ledger"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"accountId": "",
"entries": [
{
"customerId": "",
"prepaidUri": "",
"prepaidCardType": "",
"prepaidPurchaseType": "",
"prepaidLabel": "",
"invoiceUri": "",
"transactionTimeSeconds": "",
"transactionAmount": 0,
"balanceAfterTransaction": 0,
"prepaidTransactionType": "",
"settled": false
}
]
}